Skip to content

Retrieve Multi-Document Workflow Details

Retrieves the details for a specific multi-document workflow.

GET/api/{version}/objects/documents/actions/{workflow_name}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
workflow_nameThe multi-document workflow name value.
NameDescription
locWhen localized (translated) strings are available, retrieve them by setting loc to true..
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v20.1/objects/documents/actions/Objectworkflow.clinical_study_report_approval__c
{ "responseStatus": "SUCCESS", "data": { "name": "Objectworkflow.clinical_study_report_approval__c", "controls": [ { "prompts": [], "instructions": "Add approvers", "label": "Instructions", "type": "instructions" }, { "prompts": [ { "label": "Approver", "name": "approver__c" } ], "label": "Participants", "type": "participant" }, { "prompts": [ { "label": "Exec Approver", "name": "exec_approver__c" } ], "label": "Participants", "type": "participant" }, { "prompts": [ { "label": "Documents", "name": "documents__sys" } ], "label": "Documents", "type": "documents" }, { "prompts": [ { "multi_value": false, "label": "Description", "name": "description__sys" } ], "label": "Description", "type": "description" } ], "label": "Clinical Study Report Approval", "type": "multidocworkflow" } }

On SUCCESS, the response lists the fields that must be configured with values in order to initiate the multi-document workflow. These are based on the controls configured in the workflow start step.

The response may include the following types of controls:

NameDescription
promptsThe input prompts which accept values when initiating the workflow.
instructionsContains static instruction text regarding workflow initiation.
participantUsed to specify users who will be part of the workflow.
dateDate selections for the workflow, such as due date.
documentsUsed to specify the documents for inclusion in the workflow.
descriptionThe multi-document workflow description.

For each control, the following data may be returned: